var logname;

document.addEventListener('DOMContentLoaded', function(){
  //Get log name 
  logname = getQueryVariable("type");

  //Load log data
  loadLogData();
});

function loadLogData(){
  //Load log data
  var xhttp = new XMLHttpRequest();
  var url = "../ajax/logdata.json" + "?type=" + logname + "&_=" + Math.floor(Math.random() * 1000000);

  xhttp.onreadystatechange = function() {
      if (this.readyState == 4){
        if(this.status == 200) {
          try
          {
            var resp = JSON.parse(xhttp.responseText);
            logn = htmlEntities(resp.name);
            logd = htmlEntities(resp.data);
          
            //Set title
            document.title = logname + " Log";
            //Set header
            document.getElementById("logHeader").innerHTML = logn + " Log";
            //Set log data
            document.getElementById("logData").innerHTML = logd;
          } catch (err) {
            document.getElementById("logHeader").innerHTML = "Error loading log data.";
            document.getElementById("logData").innerHTML = "Error loading log data."
          }
        } else {
          document.getElementById("logHeader").innerHTML = "Error loading log data.";
          document.getElementById("logData").innerHTML = "Error loading log data."
        }
     } 
  };
  xhttp.open("GET", url, true);
  xhttp.send(); 
}

function clearLog(){
  //Clear log data
  var xhttp = new XMLHttpRequest();
  var url = "clearlogdata" + "&_=" + Math.floor(Math.random() * 1000000);

  xhttp.onreadystatechange = function() {
      if (this.readyState == 4){
        if(this.status == 200) {
          loadLogData();
        } else {
          document.getElementById("logHeader").innerHTML = "Error clearing log data.";
          document.getElementById("logData").innerHTML = "Error clearing log data."
        }
     } 
  };
  var formData = new FormData();
  formData.append("logname", logname);
  if(confirm("Are you sure you want to clear the log?"))
  {
    xhttp.open("POST", url, true);
    xhttp.send(formData); 
  }
}

function getQueryVariable(variable) {
	var query = window.location.search.substring(1);
	var vars = query.split("&");
	for (var i=0;i<vars.length;i++) {
		var pair = vars[i].split("=");
		if(pair[0] == variable){return pair[1];}
	}
	return(false);
}

function htmlEntities(str) {
    return String(str).replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;');
}
